import { eventChange } from '@idraw/core';
import { middlewareEventRuler, middlewareEventScale, middlewareEventSelect, middlewareEventSelectClear, middlewareEventTextEdit, middlewareEventTextChange } from '@idraw/core';
const idrawEventChange = eventChange;
const innerEventKeys = {
    change: idrawEventChange,
    ruler: middlewareEventRuler,
    scale: middlewareEventScale,
    select: middlewareEventSelect,
    clearSelect: middlewareEventSelectClear,
    textEdit: middlewareEventTextEdit,
    textChange: middlewareEventTextChange
};
const eventKeys = {};
Object.keys(innerEventKeys).forEach((keyName) => {
    Object.defineProperty(eventKeys, keyName, {
        value: innerEventKeys[keyName],
        writable: false
    });
});
export { eventKeys };
